#ifndef __CASETAB_P_H__
#define __CASETAB_P_H__

extern _VOID_ compute_trt_inverse _P_((register unsigned char *trt,
                                       register unsigned char *inverse));
extern _VOID_ init_casetab_once _P_((void));
extern _VOID_ syms_of_casetab _P_((void));

DEFUN_P(Fcase_table_p, (Lisp_Object table));
DEFUN_P(Fcurrent_case_table, (void));
DEFUN_P(Fstandard_case_table, (void));
DEFUN_P(Fset_case_table, (Lisp_Object table));
DEFUN_P(Fset_standard_case_table, (Lisp_Object table));

#endif
